package com.fs.company.service.impl;

import com.fs.company.domain.CompanyLogininfor;
import com.fs.company.mapper.CompanyLogininforMapper;
import com.fs.company.service.ICompanyLogininforService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 系统访问记录Service业务层处理
 * 
 * @author fs
 * @date 2021-05-25
 */
@Service
public class CompanyLogininforServiceImpl implements ICompanyLogininforService
{
    @Autowired
    private CompanyLogininforMapper companyLogininforMapper;

    /**
     * 查询系统访问记录
     * 
     * @param infoId 系统访问记录ID
     * @return 系统访问记录
     */
    @Override
    public CompanyLogininfor selectCompanyLogininforById(Long infoId)
    {
        return companyLogininforMapper.selectCompanyLogininforById(infoId);
    }

    /**
     * 查询系统访问记录列表
     * 
     * @param companyLogininfor 系统访问记录
     * @return 系统访问记录
     */
    @Override
    public List<CompanyLogininfor> selectCompanyLogininforList(CompanyLogininfor companyLogininfor)
    {
        return companyLogininforMapper.selectCompanyLogininforList(companyLogininfor);
    }

    /**
     * 新增系统访问记录
     * 
     * @param companyLogininfor 系统访问记录
     * @return 结果
     */
    @Override
    public int insertCompanyLogininfor(CompanyLogininfor companyLogininfor)
    {
        return companyLogininforMapper.insertCompanyLogininfor(companyLogininfor);
    }

    /**
     * 修改系统访问记录
     * 
     * @param companyLogininfor 系统访问记录
     * @return 结果
     */
    @Override
    public int updateCompanyLogininfor(CompanyLogininfor companyLogininfor)
    {
        return companyLogininforMapper.updateCompanyLogininfor(companyLogininfor);
    }

    /**
     * 批量删除系统访问记录
     * 
     * @param infoIds 需要删除的系统访问记录ID
     * @return 结果
     */
    @Override
    public int deleteCompanyLogininforByIds(Long[] infoIds)
    {
        return companyLogininforMapper.deleteCompanyLogininforByIds(infoIds);
    }

    /**
     * 删除系统访问记录信息
     * 
     * @param infoId 系统访问记录ID
     * @return 结果
     */
    @Override
    public int deleteCompanyLogininforById(Long infoId)
    {
        return companyLogininforMapper.deleteCompanyLogininforById(infoId);
    }

    @Override
    public int cleanLogininfor(Long companyId) {
        return companyLogininforMapper.cleanLogininfor(companyId);
    }
}
